Problema installazione file rpm

4 contenuti / 0 new
Ultimo contenuto
Ritratto di TremalJack
Offline
Last seen: 14 anni 11 mesi fa
Iscritto: 28/02/2008 - 17:24
Problema installazione file rpm

Salve a tutti sono nuovo e premetto che non sono un grade esperto di linux ma ho già provato varie distro tra le quali mandriva, ubuntu e sabayon.

Vi spiego subito il mio problema... io gioco ad un gioco online di nome EvE Online (non so se lo conoscete) la CCP casa produttrice rilascia già di suo l'installazione per le varie distro linux.

Scaricata quella per PcLinuxOs 2007. lancio il terminale, do il comando rpm -i [Pacchetto RPM], e mi da errore...

Error: Failed dependecies:
pygtk2 >= 2.6 is needed by eve-000066-1.i386

A questo punto apro synaptic, cerco pygtk2, e mi da:

pygtk2.0 (già installato)
pygtk2.0-devel
pygtk2.0-libglade (già installato)
wifi-radar

in poche parole non trovo il 2.6.... come faccio ad installare il gioco???

Ritratto di Gianvacca
Offline
Last seen: 13 anni 7 mesi fa
Iscritto: 27/11/2007 - 14:45

Mi sa che devi fare la richiesta di aggiunta ai repo direttamente agli sviluppatori. Devi sapere l'inglese e devi avere almeno 10 post nel forum internazionale. La posso fare io per te, ma prima prova ad abilitare da synaptic i pacchetti in testing. Può essere che il pacchetto sia già stato aggiunto, ma sia ancora in fase di test. Ovvio che in tal caso la stabilità del tuo sistema dopo l'aggiornamento non sarà garantita.

Ritratto di Gianvacca
Offline
Last seen: 13 anni 7 mesi fa
Iscritto: 27/11/2007 - 14:45

Ho visto che quell'aggiornamento non è in testing. Quindi o scopri come farlo da te o chiedi agli sviluppatori di farlo.

Ritratto di Gianvacca
Offline
Last seen: 13 anni 7 mesi fa
Iscritto: 27/11/2007 - 14:45

Puoi scaricare la versione più aggiornata della libreria da:
http://ftp.gnome.org/pub/GNOME/sources/pygtk/2.10/pygtk-2.10.4.tar.bz2
Non son riuscito a trovare i requisiti per il tuo gioco, ma generalmente se gli va bene la versione 2.6 va bene anche una versione superiore. Questa che ti faccio installare è la 2.10

L'installazione è molto semplice, ma prima assicurati che la tua distro sia aggiornata in tutto e per tutto. Quindi ricarica i pachetti da Synaptic, marca tutti gli upgrade e installali, eventualmente. Poi cerca i seguenti pacchetti:

libpython2.4-devel
gcc
gcc-c++

Se non sono già installati, installali da Synaptic.

Quel file tar.bz2 che hai scaricato, estrailo da qualche parte. Clicca col destro e seleziona Estrai qui. Entri nel terminale come root e ti poni all'interno della cartella pygtk-2.10.4 che hai appena creato. A questo punto lanci i seguenti comandi:

bash configure
make
make install

Vedrai che ogni cosa andrà a buon fine.